const suraBtns = document.querySelectorAll('#quranRunAudio');
const audioTarget = document.getElementById('sound');
for (let i = 0; i < suraBtns.length; i++) {
	const suraBtn = suraBtns[i];
	suraBtn.addEventListener('click', (e) => {
		e.preventDefault();
		let suraId = suraBtn.dataset.id;
		let serverPath = suraBtn.dataset.server;
		let targetAudio = document.querySelector('.sourceSura');
		let downloadSura = document.querySelector('.download-sura');
		let templateAudio = `<source src="${serverPath}/${suraId}.mp3" type="audio/mpeg">
            Your browser does not support the audio element.`;
		audioTarget.classList.remove('d-none');
		targetAudio.innerHTML = templateAudio;
		targetAudio.load();
		downloadSura.href = serverPath + '/' + suraId + '.mp3';
	});
}
